| dp21txss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdptxss_vtc.c File Reference

## Overview

This file contains a minimal set of functions for the Video Timing controller core to configure.

    MODIFICATION HISTORY:

    Ver  Who Date     Changes

    1.00 sha 01/29/15 Initial release.
    1.00 sha 07/21/15 Renamed file name with prefix xdptxss_* and function
                      name with prefix XDpTxSs_*
    2.00 sha 08/07/15 Set interlace to zero when video mode is XVIDC_VM_CUSTOM.
    4.1  als 08/03/16 Use video common API rather than internal structure when
                      checking for interlaced mode.
    5.0  tu  08/10/17 Adjusted BS symbol for equal timing
    6.4  rg  08/28/20 Added XDpTxSs_VtcAdaptiveSyncSetup and
                      XDpTxSs_VtcDisableAdaptiveSync API's.
    6.4  rg  09/26/20 Added support for YUV420 color format

## Functions
u32 | XDpTxSs_VtcSetup (XVtc *InstancePtr, XDp_TxMainStreamAttributes *MsaConfig, u8 VtcAdjustBs)
| This function configures Video Timing Controller with video timing parameters from MSA config structure. More...
void | XDpTxSs_VtcAdaptiveSyncSetup (XVtc *InstancePtr, XVtc_AdaptiveSyncMode mode, u32 StretchLimit)
| This function configures Video Timing Controller with Adaptive-Sync mode to be work on and sets vertical front porch stretch limit. More...
void | XDpTxSs_VtcDisableAdaptiveSync (XVtc *InstancePtr)
| This function disables Adaptive-Sync feature in Video Timing Controller. More...

## Function Documentation

void XDpTxSs_VtcAdaptiveSyncSetup | ( | XVtc * | InstancePtr,
|  | XVtc_AdaptiveSyncMode | mode,
|  | u32 | StretchLimit
| ) |  |

This function configures Video Timing Controller with Adaptive-Sync mode to be work on and sets vertical front porch stretch limit.

Parameters

  InstancePtr | is a pointer to the XVtc instance.
  mode | is a Adaptive-Sync mechanism to be work on
  StretchLimit | is a max limit of vertical front porch stretching

Returns
  None.

Note
  None.

void XDpTxSs_VtcDisableAdaptiveSync | ( | XVtc * | InstancePtr | ) |

This function disables Adaptive-Sync feature in Video Timing Controller.

Parameters

  InstancePtr | is a pointer to the XVtc instance.

Returns
  None.

Note
  None.

u32 XDpTxSs_VtcSetup | ( | XVtc * | InstancePtr,
|  | XDp_TxMainStreamAttributes * | MsaConfig,
|  | u8 | VtcAdjustBs
| ) |  |

This function configures Video Timing Controller with video timing parameters from MSA config structure.

Parameters

  InstancePtr | is a pointer to the XVtc instance.
  MsaConfig | is a pointer to main stream attributes structure that will be used to extract timing values.

Returns
  - XST_SUCCESS if video timing parameters set successfully.

Note
  None.

Referenced by start_tx(), and XDpTxSs_CfgInitialize().